package com.rong.io.live.bean;

import java.io.Serializable;

/**
 * @author hgw
 * Created by 2022-02-18
 */
public class ImUserState implements Serializable {
    public static final String ACTION_LEAVE_LIVE_ROOM = "3";
    /**
     * 用户 Id
     */
    private String userid;
    /**
     * 状态：0：online 上线、1：offline 离线、2：logout 登出  3：退出直播间
     */
    private String status;
    /**
     * 操作系统：iOS、Android、Websocket、PC、MiniProgram（小程序），用户上线时同步
     */
    private String os;
    /**
     * 发生时间
     */
    private Long time;
    /**
     * 用户当前的 IP 地址及端口
     */
    private String clientIp;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }
}
